//+------------------------------------------------------------------+
//|                                                   IndLine_v1.mq4 |
//|                        Copyright 2013, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright 2013, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
#property indicator_chart_window
//----
extern int        StartHour =6;      //      ,  
extern int      NumShowDays =1;      //   ,  
extern int    DepthShowDays =50;     //   
extern double     Distance1 =100;    //     
extern double     Distance2 =200;    //     
extern color  ColorLineMain =Red;    //   
extern color     ColorLine1 =Blue;   //   
extern color     ColorLine2 =Yellow; //   
extern int    WidthLineMain =2;      //   
extern int       WidthLine1 =2;      //   
extern int       WidthLine2 =2;      //   
extern string      LineName ="LH ";  //   
//----
string name_str;
//----
datetime start_bar;
datetime time_start;
datetime time_stop;
//----
double price;
double price11;
double price12;
double price21;
double price22;
//----
bool bar_open;
bool one_time;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   start_bar=0;
   bar_open=false;
   one_time=true;
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
   for(int pos=ObjectsTotal()-1;pos>=0;pos--)
      if(StringFind(ObjectName(pos),"LH ",0)==0)
         ObjectDelete(ObjectName(pos));
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   if(one_time==true)
     {
      for(int i=DepthShowDays-1;i>0;i--)
        {
         time_start=iTime(Symbol(),PERIOD_D1,i)+StartHour*3600;
         //----
         if(TimeCurrent()>time_start)
           {
            time_stop=iTime(Symbol(),PERIOD_D1,i)+StartHour*3600+NumShowDays*86400;
            price=iOpen(Symbol(),PERIOD_H1,iBarShift(Symbol(),PERIOD_H1,time_start,false));
            //----
            if(TimeDayOfWeek(time_start)==5)
               time_stop=iTime(Symbol(),PERIOD_D1,i)+StartHour*3600+NumShowDays*86400+PERIOD_D1*120;
            //----
            name_str=LineName+time_start+" "+price;
            ObjectCreate(name_str,OBJ_TREND,0,time_start,price,time_stop,price);
            ObjectSet(name_str,OBJPROP_COLOR,ColorLineMain);
            ObjectSet(name_str,OBJPROP_WIDTH,WidthLineMain);
            ObjectSet(name_str,OBJPROP_BACK,false);
            ObjectSet(name_str,OBJPROP_RAY,false);
            //----
            price11=price+Distance1*Point;
            name_str=LineName+time_start+" "+price11;
            ObjectCreate(name_str,OBJ_TREND,0,time_start,price11,time_stop,price11);
            ObjectSet(name_str,OBJPROP_COLOR,ColorLine1);
            ObjectSet(name_str,OBJPROP_WIDTH,WidthLine1);
            ObjectSet(name_str,OBJPROP_BACK,false);
            ObjectSet(name_str,OBJPROP_RAY,false);
            //----
            price12=price+Distance2*Point;
            name_str=LineName+time_start+" "+price12;
            ObjectCreate(name_str,OBJ_TREND,0,time_start,price12,time_stop,price12);
            ObjectSet(name_str,OBJPROP_COLOR,ColorLine2);
            ObjectSet(name_str,OBJPROP_WIDTH,WidthLine2);
            ObjectSet(name_str,OBJPROP_BACK,false);
            ObjectSet(name_str,OBJPROP_RAY,false);
            //----
            price21=price-Distance1*Point;
            name_str=LineName+time_start+" "+price21;
            ObjectCreate(name_str,OBJ_TREND,0,time_start,price21,time_stop,price21);
            ObjectSet(name_str,OBJPROP_COLOR,ColorLine1);
            ObjectSet(name_str,OBJPROP_WIDTH,WidthLine1);
            ObjectSet(name_str,OBJPROP_BACK,false);
            ObjectSet(name_str,OBJPROP_RAY,false);
            //----
            price22=price-Distance2*Point;
            name_str=LineName+time_start+" "+price22;
            ObjectCreate(name_str,OBJ_TREND,0,time_start,price22,time_stop,price22);
            ObjectSet(name_str,OBJPROP_COLOR,ColorLine2);
            ObjectSet(name_str,OBJPROP_WIDTH,WidthLine2);
            ObjectSet(name_str,OBJPROP_BACK,false);
            ObjectSet(name_str,OBJPROP_RAY,false);
           }
        }
      //----
      one_time=false;
     }
//----
   if(start_bar!=iTime(Symbol(),PERIOD_D1,0))
     {
      bar_open=true;
      start_bar=iTime(Symbol(),PERIOD_D1,0);
     }
//----
   if(bar_open==true)
      if(TimeCurrent()>=iTime(Symbol(),PERIOD_D1,0)+StartHour*3600)
        {
         time_start=iTime(Symbol(),PERIOD_D1,0)+StartHour*3600;
         price=iOpen(Symbol(),PERIOD_H1,iBarShift(Symbol(),PERIOD_H1,time_start,false));
         time_stop=iTime(Symbol(),PERIOD_D1,0)+StartHour*3600+NumShowDays*86400;
         //----
         if(DayOfWeek()==5)
            time_stop=iTime(Symbol(),PERIOD_D1,0)+StartHour*3600+NumShowDays*86400+PERIOD_D1*120;
         //----
         name_str=LineName+time_start+" "+price;
         ObjectCreate(name_str,OBJ_TREND,0,time_start,price,time_stop,price);
         ObjectSet(name_str,OBJPROP_COLOR,ColorLineMain);
         ObjectSet(name_str,OBJPROP_WIDTH,WidthLineMain);
         ObjectSet(name_str,OBJPROP_BACK,false);
         ObjectSet(name_str,OBJPROP_RAY,false);
         //----
         price11=price+Distance1*Point;
         name_str=LineName+time_start+" "+price11;
         ObjectCreate(name_str,OBJ_TREND,0,time_start,price11,time_stop,price11);
         ObjectSet(name_str,OBJPROP_COLOR,ColorLine1);
         ObjectSet(name_str,OBJPROP_WIDTH,WidthLine1);
         ObjectSet(name_str,OBJPROP_BACK,false);
         ObjectSet(name_str,OBJPROP_RAY,false);
         //----
         price12=price+Distance2*Point;
         name_str=LineName+time_start+" "+price12;
         ObjectCreate(name_str,OBJ_TREND,0,time_start,price12,time_stop,price12);
         ObjectSet(name_str,OBJPROP_COLOR,ColorLine2);
         ObjectSet(name_str,OBJPROP_WIDTH,WidthLine2);
         ObjectSet(name_str,OBJPROP_BACK,false);
         ObjectSet(name_str,OBJPROP_RAY,false);
         //----
         price21=price-Distance1*Point;
         name_str=LineName+time_start+" "+price21;
         ObjectCreate(name_str,OBJ_TREND,0,time_start,price21,time_stop,price21);
         ObjectSet(name_str,OBJPROP_COLOR,ColorLine1);
         ObjectSet(name_str,OBJPROP_WIDTH,WidthLine1);
         ObjectSet(name_str,OBJPROP_BACK,false);
         ObjectSet(name_str,OBJPROP_RAY,false);
         //----
         price22=price-Distance2*Point;
         name_str=LineName+time_start+" "+price22;
         ObjectCreate(name_str,OBJ_TREND,0,time_start,price22,time_stop,price22);
         ObjectSet(name_str,OBJPROP_COLOR,ColorLine2);
         ObjectSet(name_str,OBJPROP_WIDTH,WidthLine2);
         ObjectSet(name_str,OBJPROP_BACK,false);
         ObjectSet(name_str,OBJPROP_RAY,false);
         //----
         bar_open=false;
        }
//----
   return(0);
  }
//+------------------------------------------------------------------+